mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.InteropServices._ILGenerator System.Runtime.InteropServices.ClassInterface(System.Runtime.InteropServices.ClassInterfaceType.None) System.Runtime.InteropServices.ComDefaultInterface(typeof(System.Runtime.InteropServices._ILGenerator)) System.Runtime.InteropServices.ComVisible(true)

is used to generate method bodies for methods and constructors in dynamic assemblies (represented by the and classes) and for standalone dynamic methods (represented by the class). To obtain an , use the , , and methods.

MSIL is used as input to a just-in-time (JIT) compiler.

Generates Microsoft intermediate language (MSIL) instructions.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  Emits a branch instruction to the end of the current exception block.

  If the filter exception block returns the constant exception_execute_handler (see the documentation for the Common Language Infrastructure Instruction Set), the argument to the BeginCatchBlock is not checked.

  Begins a catch block.

  The object that represents the exception.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  Emits a branch instruction to the end of the current exception block.

  If the current is associated with a object, emitting filtered exception blocks is not supported. can be used to construct a dynamic method that uses filtered exception blocks.

  Begins an exception block for a filtered exception.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.Label

  Creating an exception block records some information, but does not actually emit any Microsoft intermediate language (MSIL) onto the stream.

  Begins an exception block for a non-filtered exception.

  The label for the end of the block. This will leave you in the correct place to execute finally blocks or to finish the try.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  If the current is associated with a object, emitting exception fault blocks is not supported. can be used to construct a dynamic method that uses exception fault blocks.

  Begins an exception fault block in the Microsoft intermediate language (MSIL) stream.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void Code that was protected by the will always execude the code following this point.

  Begins a finally block in the Microsoft intermediate language (MSIL) instruction stream.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  This method is used to emit symbolic information. Local variables declared after are scoped until the corresponding is called.

  If the current is associated with a object, it does not support symbolic information.

  Begins a lexical scope.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.LocalBuilder ``

  The local variable is created in the current lexical scope; for example, if code is being emitted in a for loop (For loop in Visual Basic), the scope of the variable is the loop.

  A local variable created with this overload is not pinned. To create a pinned variable for use with unmanaged pointers, use the method overload.

  Declares a local variable of the specified type.

  The declared local variable.

  A object that represents the type of the local variable.
- Method
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.LocalBuilder `` ``

  The local variable is created in the current lexical scope; for example, if code is being emitted in a for loop (For loop in Visual Basic), the scope of the variable is the loop.

  In unsafe code, an object must be pinned before it can be referred to by an unmanaged pointer. While the referenced object is pinned, it cannot be moved by garbage collection.

  Declares a local variable of the specified type, optionally pinning the object referred to by the variable.

  A object that represents the local variable.

  A object that represents the type of the local variable. true to pin the object in memory; otherwise, false.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.Label

  To set the position of the label within the stream, you must call .

  This is just a token and does not yet represent any particular location within the stream.

  Declares a new label.

  Returns a new label that can be used as a token for branching.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  If the parameter requires an argument, the caller must ensure that the argument length matches the length of the declared parameter. Otherwise, results will be unpredictable. For example, if the Emit instruction requires a 2-byte operand and the caller supplies a 4-byte operand, the runtime will emit two additional bytes to the instruction stream. These extra bytes will be instructions.

  The instruction values are defined in .

  Puts the specified instruction onto the stream of instructions.

  The Microsoft Intermediate Language (MSIL) instruction to be put onto the stream.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The instruction values are defined in the OpCodes enumeration.

  Puts the specified instruction and character argument onto the Microsoft intermediate language (MSIL) stream of instructions.

  The MSIL instruction to be put onto the stream. The character argument pushed onto the stream immediately after the instruction.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The instruction values are defined in the OpCodes enumeration.

  Puts the specified instruction and numerical argument onto the Microsoft intermediate language (MSIL) stream of instructions.

  The MSIL instruction to be put onto the stream. Defined in the OpCodes enumeration. The numerical argument pushed onto the stream immediately after the instruction.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The instruction values are defined in the OpCodes enumeration.

  Puts the specified instruction and numerical argument onto the Microsoft intermediate language (MSIL) stream of instructions.

  The MSIL instruction to be emitted onto the stream. The Int argument pushed onto the stream immediately after the instruction.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The instruction values are defined in the OpCodes enumeration.

  Puts the specified instruction and numerical argument onto the Microsoft intermediate language (MSIL) stream of instructions.

  The MSIL instruction to be put onto the stream. The numerical argument pushed onto the stream immediately after the instruction.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The instruction values are defined in the OpCodes enumeration.

  Puts the specified instruction and numerical argument onto the Microsoft intermediate language (MSIL) stream of instructions.

  The MSIL instruction to be put onto the stream. The numerical argument pushed onto the stream immediately after the instruction.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(true)
  System.Void `` ``

  The instruction values are defined in the OpCodes enumeration.

  The location of is recorded so that the instruction stream can be patched if necessary when persisting the module to a portable executable (PE) file.

  Puts the specified instruction and metadata token for the specified constructor onto the Microsoft intermediate language (MSIL) stream of instructions.

  The MSIL instruction to be emitted onto the stream. A ConstructorInfo representing a constructor.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The instruction values are defined in the OpCodes enumeration.

  Labels are created using , and their location within the stream is fixed by using . If a single-byte instruction is used, the label can represent a jump of at most 127 bytes along the stream. must represent a branch instruction. Because branches are relative instructions, will be replaced with the correct offset to branch during the fixup process.

  Puts the specified instruction onto the Microsoft intermediate language (MSIL) stream and leaves space to include a label when fixes are done.

  The MSIL instruction to be emitted onto the stream. The label to which to branch from this location.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  Emits a switch table.

  The instruction values are defined in the OpCodes enumeration.

  Labels are created using and their location within the stream is fixed by using . If a single-byte instruction is used, the label can represent a jump of at most 127 bytes along the stream. must represent a branch instruction. Because branches are relative instructions, will be replaced with the correct offset to branch during the fixup process.

  Puts the specified instruction onto the Microsoft intermediate language (MSIL) stream and leaves space to include a label when fixes are done.

  The MSIL instruction to be emitted onto the stream. The array of label objects to which to branch from this location. All of the labels will be used.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The instruction values are defined in the OpCodes enumeration.

  Puts the specified instruction onto the Microsoft intermediate language (MSIL) stream followed by the index of the given local variable.

  The MSIL instruction to be emitted onto the stream. A local variable.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The instruction values are defined in the OpCodes enumeration.

  Puts the specified instruction and a signature token onto the Microsoft intermediate language (MSIL) stream of instructions.

  The MSIL instruction to be emitted onto the stream. A helper for constructing a signature token.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The instruction values are defined in the OpCodes enumeration. The location of is recorded so that the instruction stream can be patched if necessary when persisting the module to a portable executable (PE) file.

  Puts the specified instruction and metadata token for the specified field onto the Microsoft intermediate language (MSIL) stream of instructions.

  The MSIL instruction to be emitted onto the stream. A FieldInfo representing a field.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The instruction values are defined in the OpCodes enumeration.

  The location of is recorded so that the instruction stream can be patched if necessary when persisting the module to a portable executable (PE) file.

  If represents a generic method, it must be a generic method definition. That is, its property must be true.

  Puts the specified instruction onto the Microsoft intermediate language (MSIL) stream followed by the metadata token for the given method.

  The MSIL instruction to be emitted onto the stream. A MethodInfo representing a method.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
  System.Void `` ``

  The instruction values are defined in the OpCodes enumeration.

  Puts the specified instruction and character argument onto the Microsoft intermediate language (MSIL) stream of instructions.

  The MSIL instruction to be put onto the stream. The character argument pushed onto the stream immediately after the instruction.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The instruction values are defined in the OpCodes enumeration.

  Puts the specified instruction and numerical argument onto the Microsoft intermediate language (MSIL) stream of instructions.

  The MSIL instruction to be put onto the stream. The Single argument pushed onto the stream immediately after the instruction.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The instruction values are defined in the OpCodes enumeration. The location of is recorded for future fixups if the module is persisted to a portable executable (PE) file.

  Puts the specified instruction onto the Microsoft intermediate language (MSIL) stream followed by the metadata token for the given string.

  The MSIL instruction to be emitted onto the stream. The String to be emitted.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The instruction values are defined in the OpCodes enumeration. The location of is recorded so that the token can be patched if necessary when persisting the module to a portable executable (PE) file.

  Puts the specified instruction onto the Microsoft intermediate language (MSIL) stream followed by the metadata token for the given type.

  The MSIL instruction to be put onto the stream. A Type.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  The method is used to emit calls to varargs methods because there is no overload of the method that specifies the parameter types of the variable arguments.

  To emit calls to methods that do not use the calling convention, use the method overload.

  ## Version Information

  Beginning with the .NET Framework version 2.0, the method does not throw an exception when optional parameter types are specified for a method that is not varargs. is thrown when the call is executed.

  Puts a call or callvirt instruction onto the Microsoft intermediate language (MSIL) stream to call a varargs method.

  The MSIL instruction to be emitted onto the stream. Must be , , or . The varargs method to be called. The types of the optional arguments if the method is a varargs method; otherwise, null.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` ``

  Use to put a instruction onto the stream. Do not use .

  Puts a instruction onto the Microsoft intermediate language (MSIL) stream, specifying an unmanaged calling convention for the indirect call.

  The MSIL instruction to be emitted onto the stream. Must be . The unmanaged calling convention to be used. The of the result. The types of the required arguments to the instruction.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` ``

  Use to put a instruction onto the stream. Do not use .

  If specifies optional arguments, must include the flag.

  Puts a instruction onto the Microsoft intermediate language (MSIL) stream, specifying a managed calling convention for the indirect call.

  The MSIL instruction to be emitted onto the stream. Must be . The managed calling convention to be used. The of the result. The types of the required arguments to the instruction. The types of the optional arguments for varargs calls.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The type of must match the parameter type of an overload of the method.

  Emits the Microsoft intermediate language (MSIL) necessary to call with the given local variable.

  The local variable whose value is to be written to the console.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The type of must match the parameter type of an overload of the method.

  Emits the Microsoft intermediate language (MSIL) necessary to call with the given field.

  The field whose value is to be written to the console.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The string must have already been defined.

  Emits the Microsoft intermediate language (MSIL) to call with a string.

  The string to be printed.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void This terminates an exception block that was started with .

  Ends an exception block.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  This method is used to emit symbolic information. It is used with .

  If the current is associated with a object, it does not support symbolic information.

  Ends a lexical scope.

- Property
  4.0.0.0
  System.Int32 To be added.

  This method is transparent, and can be called from partially trusted code.

  If the property is accessed before any MSIL instructions have been emitted, it returns 0 (zero).

  When MSIL is generated for dynamic languages, this property can be used to map offsets in the MSIL stream to source code line numbers. The resulting information can be used to provide stack traces when exceptions are thrown.

  Gets the current offset, in bytes, in the Microsoft intermediate language (MSIL) stream that is being emitted by the .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  A label cannot be defined more than once.

  Marks the Microsoft intermediate language (MSIL) stream's current position with the given label.

  The label for which to set an index.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` ``

  Line numbers are indexed from 1. Columns are indexed from 0.

  The symbolic information normally includes at least one MSIL offset for each source line. When the just-in-time (JIT) compiler is about to compile a method, it asks the profiling services for a list of MSIL offsets that should be preserved. These MSIL offsets are called sequence points.

  If the current is associated with a object, it does not support symbolic information.

  Marks a sequence point in the Microsoft intermediate language (MSIL) stream.

  The document for which the sequence point is being defined. The line where the sequence point begins. The column in the line where the sequence point begins. The line where the sequence point ends. The column in the line where the sequence point ends.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  This method is for accessing managed classes from unmanaged code, and should not be called from managed code. For more information about IDispatch::GetTypeInfo, see the MSDN Library.

  Retrieves the type information for an object, which can then be used to get the type information for an interface.

  The type information to return. The locale identifier for the type information. Receives a pointer to the requested type information object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` This will create an instance of the exception specified by the and throw that.

  Emits an instruction to throw an exception.

  The class of the type of exception to throw.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  If the current is associated with a object, this method is not supported.

  Specifies the namespace to be used in evaluating locals and watches for the current active lexical scope.

  The namespace to be used in evaluating locals and watches for the current active lexical scope